<template>
  <div
    class="iframe"
    v-if="visible">
    <div class="iframe_header">
      <div @click="show('',false)">close</div>
    </div>
    <iframe
      class="iframe_body"
      :src="src"
      frameborder="0"></iframe>
  </div>
</template>

<script>
  export default {
    name: "pdfWindow",
    data() {
      return {
        visible: false,
        src: ''
      }
    },
    computed: {},
    methods: {
      show(src = '', show = true) {
        this.visible = show;
        this.src = src;
      }
    },
    mounted() {
    }
  }
</script>
